package com.jeeplus.modules.sg.financial.settlement.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.List;

/**
 * 物料对应配置实体类
 * */
public class Corresponding extends DataEntity<Corresponding> {
    /**
     * 序号
     */
    private String serialNumber;
    /**
     * 物料编码
     */
    private String materialCode;
    /**
     * 物料类型
     */
    private String materialType;
    /**
     * 物料描述
     */
    private String materialDescription;

    /**
     * 字类对应数据
     */
    private List<Corresponding> childList;

    @ExcelField(title="序号", align=2, sort=1)
    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    @ExcelField(title="物料编码", align=2, sort=2)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    @ExcelField(title="物料类型", align=2, sort=3)
    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }

    @ExcelField(title="物料描述", align=2, sort=4)
    public String getMaterialDescription() {
        return materialDescription;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    public List<Corresponding> getChildList() {
        return childList;
    }

    public void setChildList(List<Corresponding> childList) {
        this.childList = childList;
    }
}
